/*
 * Copyright (C) 2018 Gunar Schorcht
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License v2.1. See the file LICENSE in the top level
 * directory for more details.
 */

/**
 * @ingroup     cpu_esp32
 * @{
 *
 * @file
 * @brief       Implementation of the kernel's architecture dependent thread interface
 *
 * @author      Gunar Schorcht <gunar@schorcht.net>
 *
 * @}
 */

#ifndef THREAD_ARCH_H
#define THREAD_ARCH_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief   Initializes the ISR stack
 * Initializes the ISR stack with predefined values (address value) to be able to
 * measure used ISR stack size.
 */
extern void thread_isr_stack_init(void);

#ifdef __cplusplus
}
#endif

#endif /* THREAD_ARCH_H */
