/*
 If the Newlib functions in ROM aren't used (eg because the external SPI RAM workaround is active), these functions will
 be linked into the application directly instead. Normally, they would end up in flash, which is undesirable because esp-idf
 and/or applications may assume that because these functions normally are in ROM, they are accessible even when flash is
 inaccessible. To work around this, this ld fragment places these functions in RAM instead. If the ROM functions are used,
 these defines do nothing, so they can still be included in that situation.

 This file is responsible for placing the rodata segment in DRAM.
*/

    *lib_a-utoa.o(.rodata .rodata.*)
    *lib_a-longjmp.o(.rodata .rodata.*)
    *lib_a-setjmp.o(.rodata .rodata.*)
    *lib_a-abs.o(.rodata .rodata.*)
    *lib_a-div.o(.rodata .rodata.*)
    *lib_a-labs.o(.rodata .rodata.*)
    *lib_a-ldiv.o(.rodata .rodata.*)
    *lib_a-quorem.o(.rodata .rodata.*)
    *lib_a-qsort.o(.rodata .rodata.*)
    *lib_a-utoa.o(.rodata .rodata.*)
    *lib_a-itoa.o(.rodata .rodata.*)
    *lib_a-atoi.o(.rodata .rodata.*)
    *lib_a-atol.o(.rodata .rodata.*)
    *lib_a-strtol.o(.rodata .rodata.*)
    *lib_a-strtoul.o(.rodata .rodata.*)
    *lib_a-wcrtomb.o(.rodata .rodata.*)
    *lib_a-fvwrite.o(.rodata .rodata.*)
    *lib_a-wbuf.o(.rodata .rodata.*)
    *lib_a-wsetup.o(.rodata .rodata.*)
    *lib_a-fputwc.o(.rodata .rodata.*)
    *lib_a-wctomb_r.o(.rodata .rodata.*)
    *lib_a-ungetc.o(.rodata .rodata.*)
    *lib_a-makebuf.o(.rodata .rodata.*)
    *lib_a-fflush.o(.rodata .rodata.*)
    *lib_a-refill.o(.rodata .rodata.*)
    *lib_a-s_fpclassify.o(.rodata .rodata.*)
    *lib_a-locale.o(.rodata .rodata.*)
    *lib_a-asctime.o(.rodata .rodata.*)
    *lib_a-ctime.o(.rodata .rodata.*)
    *lib_a-ctime_r.o(.rodata .rodata.*)
    *lib_a-lcltime.o(.rodata .rodata.*)
    *lib_a-lcltime_r.o(.rodata .rodata.*)
    *lib_a-gmtime.o(.rodata .rodata.*)
    *lib_a-gmtime_r.o(.rodata .rodata.*)
    *lib_a-strftime.o(.rodata .rodata.*)
    *lib_a-mktime.o(.rodata .rodata.*)
    *lib_a-syswrite.o(.rodata .rodata.*)
    *lib_a-tzset_r.o(.rodata .rodata.*)
    *lib_a-tzset.o(.rodata .rodata.*)
    *lib_a-toupper.o(.rodata .rodata.*)
    *lib_a-tolower.o(.rodata .rodata.*)
    *lib_a-toascii.o(.rodata .rodata.*)
    *lib_a-systimes.o(.rodata .rodata.*)
    *lib_a-time.o(.rodata .rodata.*)
    *lib_a-bsd_qsort_r.o(.rodata .rodata.*)
    *lib_a-qsort_r.o(.rodata .rodata.*)
    *lib_a-gettzinfo.o(.rodata .rodata.*)
    *lib_a-strupr.o(.rodata .rodata.*)
    *lib_a-asctime_r.o(.rodata .rodata.*)
    *lib_a-bzero.o(.rodata .rodata.*)
    *lib_a-close.o(.rodata .rodata.*)
    *lib_a-creat.o(.rodata .rodata.*)
    *lib_a-environ.o(.rodata .rodata.*)
    *lib_a-fclose.o(.rodata .rodata.*)
    *lib_a-isalnum.o(.rodata .rodata.*)
    *lib_a-isalpha.o(.rodata .rodata.*)
    *lib_a-isascii.o(.rodata .rodata.*)
    *lib_a-isblank.o(.rodata .rodata.*)
    *lib_a-iscntrl.o(.rodata .rodata.*)
    *lib_a-isdigit.o(.rodata .rodata.*)
    *lib_a-isgraph.o(.rodata .rodata.*)
    *lib_a-islower.o(.rodata .rodata.*)
    *lib_a-isprint.o(.rodata .rodata.*)
    *lib_a-ispunct.o(.rodata .rodata.*)
    *lib_a-isspace.o(.rodata .rodata.*)
    *lib_a-isupper.o(.rodata .rodata.*)
    *lib_a-memccpy.o(.rodata .rodata.*)
    *lib_a-memchr.o(.rodata .rodata.*)
    *lib_a-memcmp.o(.rodata .rodata.*)
    *lib_a-memcpy.o(.rodata .rodata.*)
    *lib_a-memmove.o(.rodata .rodata.*)
    *lib_a-memrchr.o(.rodata .rodata.*)
    *lib_a-memset.o(.rodata .rodata.*)
    *lib_a-open.o(.rodata .rodata.*)
    *lib_a-rand.o(.rodata .rodata.*)
    *lib_a-rand_r.o(.rodata .rodata.*)
    *lib_a-read.o(.rodata .rodata.*)
    *lib_a-rshift.o(.rodata .rodata.*)
    *lib_a-sbrk.o(.rodata .rodata.*)
    *lib_a-srand.o(.rodata .rodata.*)
    *lib_a-strcasecmp.o(.rodata .rodata.*)
    *lib_a-strcasestr.o(.rodata .rodata.*)
    *lib_a-strcat.o(.rodata .rodata.*)
    *lib_a-strchr.o(.rodata .rodata.*)
    *lib_a-strcmp.o(.rodata .rodata.*)
    *lib_a-strcoll.o(.rodata .rodata.*)
    *lib_a-strcpy.o(.rodata .rodata.*)
    *lib_a-strcspn.o(.rodata .rodata.*)
    *lib_a-strdup.o(.rodata .rodata.*)
    *lib_a-strlcat.o(.rodata .rodata.*)
    *lib_a-strlcpy.o(.rodata .rodata.*)
    *lib_a-strlen.o(.rodata .rodata.*)
    *lib_a-strlwr.o(.rodata .rodata.*)
    *lib_a-strncasecmp.o(.rodata .rodata.*)
    *lib_a-strncat.o(.rodata .rodata.*)
    *lib_a-strncmp.o(.rodata .rodata.*)
    *lib_a-strncpy.o(.rodata .rodata.*)
    *lib_a-strndup.o(.rodata .rodata.*)
    *lib_a-strnlen.o(.rodata .rodata.*)
    *lib_a-strrchr.o(.rodata .rodata.*)
    *lib_a-strsep.o(.rodata .rodata.*)
    *lib_a-strspn.o(.rodata .rodata.*)
    *lib_a-strstr.o(.rodata .rodata.*)
    *lib_a-strtok_r.o(.rodata .rodata.*)
    *lib_a-strupr.o(.rodata .rodata.*)
    *lib_a-stdio.o(.rodata .rodata.*)
    *lib_a-syssbrk.o(.rodata .rodata.*)
    *lib_a-sysclose.o(.rodata .rodata.*)
    *lib_a-sysopen.o(.rodata .rodata.*)
    *creat.o(.rodata .rodata.*)
    *lib_a-sysread.o(.rodata .rodata.*)
    *lib_a-syswrite.o(.rodata .rodata.*)
    *lib_a-impure.o(.rodata .rodata.*)
    *lib_a-tzvars.o(.rodata .rodata.*)
    *lib_a-sf_nan.o(.rodata .rodata.*)
    *lib_a-tzcalc_limits.o(.rodata .rodata.*)
    *lib_a-month_lengths.o(.rodata .rodata.*)
    *lib_a-timelocal.o(.rodata .rodata.*)
    *lib_a-findfp.o(.rodata .rodata.*)
    *lock.o(.rodata .rodata.*)
    *lib_a-getenv_r.o(.rodata .rodata.*)
    *isatty.o(.rodata .rodata.*)
    *lib_a-fwalk.o(.rodata .rodata.*)
    *lib_a-getenv_r.o(.rodata .rodata.*)
    *lib_a-tzlock.o(.rodata .rodata.*)
    *lib_a-ctype_.o(.rodata .rodata.*)
    *lib_a-sccl.o(.rodata .rodata.*)
    *lib_a-strptime.o(.rodata .rodata.*)
    *lib_a-envlock.o(.rodata .rodata.*)
    *lib_a-raise.o(.rodata .rodata.*)
    *lib_a-strdup_r.o(.rodata .rodata.*)
    *lib_a-system.o(.rodata .rodata.*)
    *lib_a-strndup_r.o(.rodata .rodata.*)
