# nanocoap Test App
Provides a CLI based tool for interactive or scripted testing of nanocoap client
and server operation. Top level commands are listed below. To see command syntax,
enter the command with no other text (for example, just "client").

## *server*
Options are limited to *start* to start listening, and optionally the port on
which to listen. Provides these resources:

`/value`<br>
Reads/Writes an unsigned 8-bit integer.

`/.well-known/core`<br>
Reads the list of resources. Expects a block2 based request or else returns at
most the first 16 bytes of the list.

## *client*
Provides get/put/post to an address for a resource, with an optional payload.
A request always is sent confirmably due to a limitation of the nanocoap request
generation facility.

## *inet6*
Lists IPv6 address for each network interface. This listing is helpful for tap
based testing, where the link local address is generated by the operating system.
